import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { Observable } from 'rxjs';

import { Tax } from '../core/tax';

import { TaxService } from './tax.service';

@Injectable({
  providedIn: 'root',
})
export class TaxListResolver implements Resolve<Tax[]> {
  constructor(private ser: TaxService) {}

  resolve(): Observable<Tax[]> {
    return this.ser.list();
  }
}
