import uuid

from pydantic import BaseModel

from . import to_camel


class HeaderFooter(BaseModel):
    id_: uuid.UUID
    name: str
    text: str

    class Config:
        alias_generator = to_camel
