import { DataSource } from '@angular/cdk/collections';
import { Observable, of as observableOf } from 'rxjs';

import { BillSettlementReportItem } from './bill-settlement-report-item';

export class BillSettlementReportDataSource extends DataSource<BillSettlementReportItem> {
  constructor(public data: BillSettlementReportItem[]) {
    super();
  }

  connect(): Observable<BillSettlementReportItem[]> {
    return observableOf(this.data);
  }

  disconnect() {}
}
