import { DataSource } from '@angular/cdk/collections';
import { Observable, of as observableOf } from 'rxjs';

import { CashierReportDisplayItem } from './cashier-report-display-item';

export class CashierReportDataSource extends DataSource<CashierReportDisplayItem> {
  constructor(public data: CashierReportDisplayItem[]) {
    super();
  }

  connect(): Observable<CashierReportDisplayItem[]> {
    return observableOf(this.data);
  }

  disconnect() {}
}
