import { MenuCategory } from './menu-category';
// eslint-disable-next-line import/no-cycle
import { Modifier } from './modifier';

export class ModifierCategory {
  id: string | undefined;
  name: string;
  minimum: number;
  maximum: number | null;
  isActive: boolean;
  menuCategories: MenuCategory[];
  modifiers: Modifier[];

  public constructor(init?: Partial<ModifierCategory>) {
    this.id = undefined;
    this.name = '';
    this.minimum = 0;
    this.maximum = null;
    this.isActive = true;
    this.menuCategories = [];
    this.modifiers = [];
    Object.assign(this, init);
  }
}
