import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { Observable } from 'rxjs';

import { Device } from '../core/device';

import { DeviceService } from './device.service';

@Injectable({
  providedIn: 'root',
})
export class DeviceListResolver implements Resolve<Device[]> {
  constructor(private ser: DeviceService) {}

  resolve(): Observable<Device[]> {
    return this.ser.list();
  }
}
