import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { Observable } from 'rxjs';

import { MenuCategory } from '../core/menu-category';

import { MenuCategoryService } from './menu-category.service';

@Injectable({
  providedIn: 'root',
})
export class MenuCategoryListResolver implements Resolve<MenuCategory[]> {
  constructor(private ser: MenuCategoryService) {}

  resolve(): Observable<MenuCategory[]> {
    return this.ser.list(false);
  }
}
