import { Component } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';

import { VoucherType } from '../bills/voucher-type';

@Component({
  selector: 'app-bill-type',
  templateUrl: './bill-type.component.html',
  styleUrls: ['./bill-type.component.css'],
})
export class BillTypeComponent {
  selected?: string;
  selectedVal?: VoucherType;
  constructor(public dialogRef: MatDialogRef<BillTypeComponent>) {}

  select(voucherType: string) {
    this.selected = voucherType;
    if (this.selected === 'REGULAR_BILL') {
      this.selectedVal = VoucherType.Bill;
    }
    if (this.selected === 'STAFF') {
      this.selectedVal = VoucherType.Staff;
    }
    if (this.selected === 'NO_CHARGE') {
      this.selectedVal = VoucherType.NoCharge;
    }
  }
}
